button,
span.button,
a.button {
    display: inline-block;
    margin: 0;
    padding-block: 2px;
    padding-inline: 9px;
    text-indent: 0;
    text-shadow: none;
    text-align: center;
    box-sizing: border-box;
    border-width: thin;
    border-radius: 4px;
    border-style: outset;
    cursor: default;
}

.addButton {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    width: 100%;
    padding-bottom: 1rem;
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;

    section {
        margin: 1rem;
        width: 100%;
    }
}

input,
textarea,
label.htmlEditor div.editorHolder,
select {
    padding: 1rem 0.75rem 0.75rem 0.75rem;
    border-style: solid;
    border-width: 1px;
    border-radius: 6px;
}

input[type=checkbox] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    -webkit-tap-highlight-color: transparent;
    cursor: pointer;

    & {
        height: 30px;
        padding: 0;
        width: 50px;
        border-radius: 15px;
        display: inline-block;
        position: relative;
        margin: 0;
    }

    &:after,
    &:checked:after {
        font-size: xx-small;
        line-height: 1.5rem;
        text-align: center;
    }

    &:after {
        content: "No";
        position: absolute;
        top: 2px;
        left: 2px;
        width: 24px;
        height: 24px;
        border-radius: 50%;
        box-shadow: var(--shadow-fine);
        transition: var(--action-transition);
    }

    &:checked:after {
        content: "Yes";
        transform: translatex(20px);
    }
}

label {
    width: 100%;

    margin: 1rem;

    span.label-text {
        margin-left: .35rem;
        position: relative;
        top: 0.625rem;
        border-style: solid;
        border-width: 1px;
        border-radius: 6px;
        padding: 0 0.4rem;

        &:has(+ select) {
            top: 0.125rem;
        }
    }

    input {
        width: calc(100% - 1.5rem);
    }

    textarea {
        width: calc(100% - 1.5rem);
    }

    select {
        width: calc(100% + 0.1rem);
    }

    div.help-text {
        margin-left: 1rem;
    }

    & > input[type=checkbox] {
        vertical-align: middle;
    }

    input[type=checkbox] + span.label-text {
        position: unset;
    }
}

fieldset.toggle {
    border: none;

    .selected {
        font-weight: var(--typography-fontWeightBlack);
    }
}

.rte-toolbar {
    margin: 0;
    padding: 0;
    .rte-toolbar-row {
        margin: 0;
        padding: 0;
    }
    section {
        display: inline;
        margin: 0 0;
        padding: 0 0.4rem;
    }
    span.rte-btn {
        margin: 0.25rem 0;
        padding: 0.25rem 0.5rem;
        border-radius: 0.25rem;
        cursor: pointer;
    }

    span.space {
        padding: 0 0.4rem;
    }
    span.sep {
        padding: 0 0.4rem;
    }
}